> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# App Mentioned

> Trigger when your application is mentioned in a message in Slack

## Subscribe

Send this request body to [Subscribe to a Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger) to start listening for this event on behalf of your user:

```http Subscribe Request theme={null}
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "slack",
  "type": "SLACK_TRIGGER_APP_MENTIONED",
  "parameters": {
    "appMentionedFilter": {
      "operator": "OR",
      "conditions": [
        {
          "operator": "AND",
          "conditions": [
            {
              "field": "user",
              "operator": "$stringExactlyMatches",
              "value": "example-value"
            }
          ]
        }
      ]
    }
  }
}
```

**Configuration options:**

<ParamField path="appMentionedFilter" type="CONDITIONAL">
  Search for records that match specified filters.

  * Supported filter fields: `user`, `channel`
  * Supported operators: `$stringExactlyMatches`
</ParamField>

## Example Payload

This is an example payload that Paragon sends to your configured webhook URL. Learn more about handling trigger payloads in [Receiving Webhooks](/actionkit/triggers/receiving-webhooks).

```json Example expandable theme={null}
{
  "client_msg_id": "123123123",
  "type": "app_mention",
  "text": "Your app <@app_id> is mentioned.",
  "user": "U048S106P",
  "ts": "1360782400.498405",
  "blocks": [
    {
      "type": "rich_text",
      "block_id": "S4RPr",
      "elements": [
        {
          "type": "rich_text_section",
          "elements": [
            {
              "type": "user",
              "user_id": "U04URSJ58"
            },
            {
              "text": "mock-text",
              "type": "text"
            }
          ]
        }
      ]
    }
  ],
  "team": "TM7705V",
  "channel": "C03NFFWH13M",
  "event_context": "mock-event-context",
  "event_ts": "1360782400.498405"
}
```
